Bug 1465296 - It takes too long for parent task to stop after its sub-tasks have stopped
It takes too long for parent task to stop after its sub-tasks have stopped
Status: CLOSED ERRATA
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Remote Execution (Show other bugs)
Unspecified
Unspecified Unspecified
unspecified Severity medium (vote)
: Unspecified
: --
Assigned To: satellite6-bugs
Jan Hutař
: FieldEngineering, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-27 03:00 EDT by Adam Ruzicka
Modified: 2018-02-21 11:54 EST (History)
9 users (show)

See Also:
Fixed In Version: tfm-rubygem-foreman_remote_execution 1.3.4
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-02-21 11:54:37 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Foreman Issue Tracker 20114 None None None 2017-06-27 03:00 EDT
Foreman Issue Tracker 20466 None None None 2017-09-28 10:01 EDT

  None (edit)
Description Adam Ruzicka 2017-06-27 03:00:13 EDT
Description of problem:
Bulk tasks are receiving events when their sub-tasks finish. This gets rather slow with large number of sub-tasks. We should take another approach and make the parent task poll the state of its sub-tasks.

Version-Release number of selected component (if applicable):


How reproducible:
Easily triggered by using REX at scale

Steps to Reproduce:
1. Run a remote execution job on high number (thousands) of hosts
2. Wait until all of its sub-tasks are stopped
3. It may reach into state where all the sub-tasks are stopped but the parent task is still running for another hour or so (depends on numbers of hosts)

Actual results:
Parent task keeps running for hours after its sub-tasks have stopped

Expected results:
The parent task is stopped shortly after its sub-tasks have stopped

Additional info:
Comment 1 Adam Ruzicka 2017-06-27 03:00:40 EDT
Created redmine issue http://projects.theforeman.org/issues/20114 from this bug
Comment 5 Ivan Necas 2017-09-25 03:24:51 EDT
Align to 6.3+ please: the upstream release, compatible with 1.15 will come after the the tasks dependency gets in https://github.com/theforeman/foreman-packaging/pull/1822
Comment 7 pm-sat@redhat.com 2018-02-21 11:54:37 EST
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.
> > 
> > For information on the advisory, and where to find the updated files, follow the link below.
> > 
> > If the solution does not work for you, open a new bug report.
> > 
> > https://access.redhat.com/errata/RHSA-2018:0336

Note You need to log in before you can comment on or make changes to this bug.